Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Papyrus Kepler version doesn't support Palette customization
Papyrus Kepler version doesn't support Palette customization [message #1014175] Mon, 25 February 2013 04:53 Go to next message
Walid Ban is currently offline Walid Ban
Messages: 27
Registered: January 2013
Junior Member
Hello,
when i imported the plugins of my palettes, an error msg appears in the "problem window". here are they:
Description Resource Path Location Type
Unknown extension point: 'org.eclipse.papyrus.diagram.common.paletteDefinition' plugin.xml /org.eclipse.AWSUseCaseDiag.Palette line 5 Plug-in Problem

Bundle 'org.eclipse.papyrus.diagram.common' cannot be resolved MANIFEST.MF /org.eclipse.AWSUseCaseDiag.Palette/META-INF line 9 Plug-in Problem

I don't know if you met this bug before!?

regards

Re: Papyrus Kepler version doesn't support Palette customization [message #1014352 is a reply to message #1014175] Mon, 25 February 2013 11:37 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille Letavernier
Messages: 440
Registered: February 2011
Senior Member
Hello,

Did you try to migrate directly from Indigo (0.8.X) to Kepler (0.10.X) ? This error should occur on Juno (0.9.X) too.

In Juno, the ID of papyrus.diagram.common has been changed to papyrus.uml.diagram.common, to improve naming consistency in Papyrus. Major changes in the namespaces have occurred in Juno (Papyrus 0.9). However, it should be consistent between Juno and Kepler.


Regards,
Camille
Re: Papyrus Kepler version doesn't support Palette customization [message #1014404 is a reply to message #1014352] Mon, 25 February 2013 13:59 Go to previous messageGo to next message
Walid Ban is currently offline Walid Ban
Messages: 27
Registered: January 2013
Junior Member
Hi, I just downloaded Eclipse Modeling tools Kepler and then install Papyrus 0.10 from:
http://www.eclipse.org/downloads/download.php?file=/modeling/mdt/papyrus/downloads/drops/0.10.0/N201302180813/Papyrus-Update-N201302180813.zip

When i wanted to export and install my Palette plugin, an error message appears and tell me that the extension point is unknown.
What should i do?
Re: Papyrus Kepler version doesn't support Palette customization [message #1014415 is a reply to message #1014404] Mon, 25 February 2013 14:24 Go to previous messageGo to next message
Ed Willink is currently offline Ed Willink
Messages: 4035
Registered: July 2009
Senior Member
Hi

As a minimum you should tell us what the error message says.

Regards

Ed Willink

On 25/02/2013 18:59, Walid Ban wrote:
> Hi, I just downloaded Eclipse Modeling tools Kepler and then install
> Papyrus 0.10 from:
> http://www.eclipse.org/downloads/download.php?file=/modeling/mdt/papyrus/downloads/drops/0.10.0/N201302180813/Papyrus-Update-N201302180813.zip
>
>
> When i wanted to export and install my Palette plugin, an error
> message appears and tell me that the extension point is unknown.
> What should i do?
Re: Papyrus Kepler version doesn't support Palette customization [message #1014462 is a reply to message #1014415] Mon, 25 February 2013 16:48 Go to previous messageGo to next message
Walid Ban is currently offline Walid Ban
Messages: 27
Registered: January 2013
Junior Member
Hi,
As Camille said, i just must change the Papyrus Id.
1) I delete the plugin "org.eclipse.papyrus.diagram.common" in the Dependency tab
2) Add the plugin "org.eclipse.papyrus.UML.diagram.common"
3) delete the extension point "org.eclipse.papyrus.diagram.common.paletteDefinition"
4) Add the extension point "org.eclipse.papyrus.UML.diagram.common.paletteDefinition"
5) Complete the Extension details ( just the class will be changed--> "org.eclipse.papyrus.UML.diagram.common.service.PluginPaletteProvider")

BUT!!! when i launched the palette plugin and create a new papyrus project, for example, My custom class diagram platte doesn't appear after applying the profile on the model Confused I don't know?
Do you have any idea please?


Re: Papyrus Kepler version doesn't support Palette customization [message #1014632 is a reply to message #1014462] Tue, 26 February 2013 02:33 Go to previous messageGo to next message
Ed Willink is currently offline Ed Willink
Messages: 4035
Registered: July 2009
Senior Member
HI

Most of what you have described should have been identified by warning
markers. How many other warnings are you ignoring?

If you are changing id's are you absolutely sure that you have changed
all of them consistently? It is very easy to miss one, particularly
amongst a mix of Java/XML references.

Do a diff of your changes then search your entire source for all
references to each of the changed id's.

Regards

Ed Willink


On 25/02/2013 21:48, Walid Ban wrote:
> Hi,
> As Camille said, i just must change the Papyrus Id. 1) I delete the
> plugin "org.eclipse.papyrus.diagram.common" in the Dependency tab
> 2) Add the plugin "org.eclipse.papyrus.UML.diagram.common"
> 3) delete the extension point
> "org.eclipse.papyrus.diagram.common.paletteDefinition"
> 4) Add the extension point
> "org.eclipse.papyrus.UML.diagram.common.paletteDefinition"
> 5) Complete the Extension details ( just the class will be changed-->
> "org.eclipse.papyrus.UML.diagram.common.service.PluginPaletteProvider")
>
> BUT!!! when i launched the palette plugin and create a new papyrus
> project, for example, My custom class diagram platte doesn't appear
> after applying the profile on the model :? I don't know? Do you have
> any idea please?
>
>
Re: Papyrus Kepler version doesn't support Palette customization [message #1014677 is a reply to message #1014632] Tue, 26 February 2013 04:12 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille Letavernier
Messages: 440
Registered: February 2011
Senior Member
Hello,

The palette.xml file contains the ID of the diagram the palette applies to. You need to change this ID too, as most diagram IDs have changed in 0.9.X too.

Regards,
Camille
Re: Papyrus Kepler version doesn't support Palette customization [message #1014681 is a reply to message #1014632] Tue, 26 February 2013 04:17 Go to previous messageGo to next message
Walid Ban is currently offline Walid Ban
Messages: 27
Registered: January 2013
Junior Member
Hi,
I changed the ID of the Editor (e.g org.eclipse.papyrus.UML.diagram.clazz) and it worked! Thank you
But something weard i've seen, i have a custom palette for the UseCase diagram, when i drag an stereotyped actor(because it's from my palette), the stereotype dosn't appear! It isn't even applied to the actor! (I checked "profile" in the property window!)
Here is a capture: index.php/fa/13549/0/

but it works normally with the use cases. Well, i'm surprised.
Do you have an explanation to that?
  • Attachment: useCase.png
    (Size: 134.21KB, Downloaded 1116 times)
Re: Papyrus Kepler version doesn't support Palette customization [message #1014685 is a reply to message #1014681] Tue, 26 February 2013 04:24 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille Letavernier
Messages: 440
Registered: February 2011
Senior Member
A few questions:

- Can you apply your profile manually and apply your stereotypes?
- Did you check the stereotype IDs/Qualified names in your palette definition?


Regards,
Camille
Re: Papyrus Kepler version doesn't support Palette customization [message #1014743 is a reply to message #1014685] Tue, 26 February 2013 06:33 Go to previous messageGo to next message
Walid Ban is currently offline Walid Ban
Messages: 27
Registered: January 2013
Junior Member
- Yes i can apply the profile on the model and i can apply the stereotypes on Actors. But, even the stereotype is applied on an actor, nothing special happen! it's like i'm creating a normal Actor. I checked the "appearance" in the "apperance window", it's ok!

- I think nothing is wrong with the palette XML file, it's attached.

Don't forget that it works for the use cases, the sterotype is automatically applied when i drag a use case from my palette.
icon5.gif  Re: Papyrus Kepler version doesn't support Palette customization [message #1028636 is a reply to message #1014685] Thu, 28 March 2013 10:36 Go to previous message
Walid Ban is currently offline Walid Ban
Messages: 27
Registered: January 2013
Junior Member
Hi,
Well I can apply a stereotype on an actor and the stereotype was shown when i changed the Display place from "Compartment" to "With Brace". But what I didn't understand is:

Why a stereotype(for an Actor) can't be automatically applied on an actor when i drag it from my palette?! And at the same time, a stereotype (for a Use Case) can be applied automatically on a Use Case when i drag it from my Palette!!?

The automatic application of a stereotype works for use cases, classes, life lines,.. but not for Actors! That's really weard.

Could you help me please?

Best regards
Previous Topic:The default value"unbounded" of an attribute
Next Topic:Stereotype Appearance
Goto Forum:
  


Current Time: Fri Aug 29 18:36:27 EDT 2014

Powered by FUDForum. Page generated in 0.02069 seconds